Linux多个发行版GHOST(幽灵)重大漏洞曝光

分类:CentOS运维 阅读:32629 次

"GNU C库(Glibc)是GNU系统的三大基础组件(Linux内核,GCC编译器,GLIBC库),一个名为GHOST(幽灵)的glibc高威胁漏洞已经曝光。这个漏洞影响到了自从2000年以来的几乎所有的GNU/Linux发行版,攻击者对GNU/Linux进行远程利用,在glibc中的 __nss_hostname_digits_dots()函数的堆缓冲区溢出漏洞造成,这个函数由_gethostbyname函数调用的。

RedHat的安全通告中也确认了是高危远程利用,“一个攻击者可以远程利用拿下对端进程当前的权限。”

有人在*EMBARGO*结束前就公开了此漏洞信息,目前从Qualys的安全通告中可以看到,这个漏洞在GLIBC upstream代码于2013年5月21日已经修复,但当时GLIBC社区只把它当成了一个BUG而非漏洞,所以导致GNU/Linux发行版社区没有去做修复工作。

目前Qualys宣称POC可以在32/64位的GNU/Linux上绕过ASLR/PIE/NX的防御组合,未来一段时间Qualys会公布POC到Metasploit中,这可能对于Pentester而言是一个福音;-)"

修复方法:

RedHat、Fedora、CentOS系统

yumupdateglibcglibc-devel glibc-common glibc-headers

Debian、Ubuntu系统

apt-getclean&&apt-getupdate&&apt-getupgrade

升级后,建议重启用到 glibc 的进程,或者重启服务器。

[source:ThreatPost]